package foh.devtools;

import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

import javax.imageio.ImageIO;

import foh.rpg.area.Area;

public class Area2PngRenderer {

	public static void render(Area area) {

		int width = area.getWidth();
		int height = area.getHeight();

		BufferedImage bufferedImage = new BufferedImage(width, height,
				BufferedImage.TYPE_INT_RGB);

		for (int x = 0; x < area.getTile().length; x++) {
			for (int y = 0; y < area.getTile()[x].length; y++) {
				bufferedImage.setRGB(x, y, area.getTile()[x][y].getGraphics()
						.getModelColor().hashCode());
			}
		}

		try {
			File file = new File("newimage.png");
			ImageIO.write(bufferedImage, "png", file);
		} catch (IOException e) {
			
		}

	}

}
