package foh.rpg.character;

import foh.rpg.item.Item;

public class Slot {
	
	private String slotName;
	private Item slotContent;
	private SlotType slotType;
	
	public Slot(SlotType slotType, String name) {
		super();
		this.slotType = slotType;
		this.slotName = name;
		this.slotContent = null;
	}

	/**
	 * @return Returns the slotContent.
	 */
	public Item getSlotContent() {
		return this.slotContent;
	}

	/**
	 * @param slotContent The slotContent to set.
	 */
	public void setSlotContent(Item slotContent) {
		this.slotContent = slotContent;
	}

	/**
	 * @return Returns the slotName.
	 */
	public String getSlotName() {
		return this.slotName;
	}

	/**
	 * @param slotName The slotName to set.
	 */
	public void setSlotName(String slotName) {
		this.slotName = slotName;
	}

	public SlotType getSlotType() {
		return this.slotType;
	}

}
