package foh.rpg.character.position;

public class Position {

	private int x;
	private int y;

	public Position(int x, int y) {
		super();
		this.x = x;
		this.y = y;
	}
	
	public Position() {
		super();
	}
	
	/**
	 * @return Returns the x.
	 */
	public int getX() {
		return this.x;
	}
	
	/**
	 * @param x The x to set.
	 */
	public void setX(int x) {
		this.x = x;
	}
	
	/**
	 * @return Returns the y.
	 */
	public int getY() {
		return this.y;
	}
	
	/**
	 * @param y The y to set.
	 */
	public void setY(int y) {
		this.y = y;
	}
	
	@Override
	public String toString() {
		return this.x + " " + this.y;
	}

	@Override
	public boolean equals(Object obj) {
		if (obj instanceof Position) {
			Position position = (Position) obj;
			
			if (position.getX() == this.getX() && position.getY() == this.getY()) {
				return true;
			} else {
				return false;
			}
			
		} else {
			return false;
		}
	}
	
}
