package foh.rpg.character.skill;

import java.awt.Color;

public enum SkillType {
	
	SHILED_MASTERY { @Override public String getName() { return "Shield Mastery"; }
		@Override public Color getColor() { return Color.LIGHT_GRAY;} },
	UNARMED_MASTERY { @Override public String getName() { return "Unarmed Mastery"; } 
		@Override public Color getColor() { return Color.LIGHT_GRAY;} },
	SWORD_MASTERY { @Override public String getName() { return "Sword Mastery"; }
		@Override public Color getColor() { return Color.LIGHT_GRAY;} },
	HAMMER_MASTERY { @Override public String getName() { return "Hammer Mastery"; }
		@Override public Color getColor() { return Color.LIGHT_GRAY;} },
	HEAVY_ARMOR_MASTERY { @Override	public String getName() { return "Heavy Armor Mastery";	} 
		@Override public Color getColor() { return Color.LIGHT_GRAY;} },
	AXE_MASTERY { @Override public String getName() { return "Axe Mastery"; } 
		@Override public Color getColor() { return Color.LIGHT_GRAY;} },
	FIRE_MAGIC { @Override public String getName() { return "Fire Magic"; } 
		@Override public Color getColor() { return Color.ORANGE;} },
	HEALING_MAGIC { @Override public String getName() { return "Healing Magic"; } 
		@Override public Color getColor() { return Color.MAGENTA;} },
	NECROMANCY { @Override public String getName() { return "Necromancy"; } 
		@Override public Color getColor() { return Color.DARK_GRAY;} }, 
	STORM_MAGIC { @Override public Color getColor() { return Color.CYAN; }
		@Override public String getName() { return "Storm Magic"; }};
	
	public abstract String getName();
	public abstract Color getColor();

}
