package foh.rpg.area.factory.painter;

import foh.rpg.area.Area;
import foh.rpg.area.AreaPortal;
import foh.rpg.area.Cell;

public abstract class AreaPainter {
	
	private int x = 0;
	private int y = 0;
	private int toX = 0;
	private int toY = 0;
	
	private Cell prototypeCell;
	
	private String actorKey;
	private String itemKey;
	
	private AreaPortal prototypePortal;
	
	public abstract void paint(Area area);
	
	public int getX() {
		return this.x;
	}
	
	public void setX(int x) {
		this.x = x;
	}
	
	public int getY() {
		return this.y;
	}
	
	public void setY(int y) {
		this.y = y;
	}
	
	public int getToX() {
		return this.toX;
	}
	
	public void setToX(int toX) {
		this.toX = toX;
	}
	
	public int getToY() {
		return this.toY;
	}
	
	public void setToY(int toY) {
		this.toY = toY;
	}
	
	public Cell getPrototypeCell() {
		return this.prototypeCell;
	}
	
	public void setPrototypeCell(Cell prototypeCell) {
		this.prototypeCell = prototypeCell;
	}
	
	public String getActorKey() {
		return this.actorKey;
	}
	
	public void setActorKey(String actorKey) {
		this.actorKey = actorKey;
	}
	
	public String getItemKey() {
		return this.itemKey;
	}
	
	public void setItemKey(String itemKey) {
		this.itemKey = itemKey;
	}

	public AreaPortal getPrototypePortal() {
		return this.prototypePortal;
	}

	public void setPrototypePortal(AreaPortal prototypePortal) {
		this.prototypePortal = prototypePortal;
	}
	
}
