package foh.rpg.character.position;

import java.util.Comparator;

public class PositionDistanceComparator implements Comparator<Position> {
	
	private Position pivot;
	
	public PositionDistanceComparator(Position pivot) {
		this.pivot = pivot;
	}

	@Override
	public int compare(Position postion1, Position postion2) {
		
		int distancePosition1 = (postion1.getX() - pivot.getX()) * (postion1.getX() - pivot.getX())
					+ (postion1.getY() - pivot.getY()) * (postion1.getY() - pivot.getY());
		int distancePosition2 = (postion2.getX() - pivot.getX()) * (postion2.getX() - pivot.getX())
					+ (postion2.getY() - pivot.getY()) * (postion2.getY() - pivot.getY());
		
        if (distancePosition1 > distancePosition2){
            return +1;
        }else if (distancePosition1 < distancePosition2){
            return -1;
        }else{
            return 0;
        }

	}

}
