package foh.rpg.character.xp;

import java.util.HashMap;
import java.util.Map;

import foh.rpg.character.attribute.AttributeType;
import foh.rpg.character.skill.SkillType;

public class XPPacket {
	
	private Map<SkillType, Integer> skillXP;
	private Map<AttributeType, Integer> attributeLoXP;
	private Map<AttributeType, Integer> attributeHiXP;
	private int rawXP;

	public int getRawXP() {
		return this.rawXP;
	}

	public void setRawXP(int rawXP) {
		this.rawXP = rawXP;
	}

	public Map<SkillType, Integer> getSkillXP() {
		return this.skillXP;
	}

	public XPPacket() {
		super();
		this.skillXP = new HashMap<SkillType, Integer>();
		this.attributeLoXP = new HashMap<AttributeType, Integer>();
		this.attributeHiXP = new HashMap<AttributeType, Integer>();
	}

	public Map<AttributeType, Integer> getAttributeLoXP() {
		return this.attributeLoXP;
	}

	public Map<AttributeType, Integer> getAttributeHiXP() {
		return this.attributeHiXP;
	}


}
