package foh.rpg.gui;

import java.awt.Color;

public class Representation {
	
	private String modelKey = null;
	private Color modelColor = null;
	private Color backgroundColor = null;
	
	private static Representation empty = new Representation(" ", Color.GRAY);
	
	public Representation(String modelKey, Color modelColor) {
		super();
		this.modelKey = modelKey;
		this.modelColor = modelColor;
		this.backgroundColor = Color.BLACK;
	}

	public Representation() {
		//
	}

	public String getModelKey() {
		return this.modelKey;
	}
	
	public void setModelKey(String modelKey) {
		this.modelKey = modelKey;
	}
	
	public Color getModelColor() {
		return this.modelColor;
	}
	
	public void setModelColor(Color modelColor) {
		this.modelColor = modelColor;
	}
	
	public static Representation getEmpty() {
		return empty;
	}
	
	public Color getBackgroundColor() {
		return this.backgroundColor;
	}

	public void setBackgroundColor(Color backgroundColor) {
		this.backgroundColor = backgroundColor;
	}

	@Override
	public Representation clone() {
		return new Representation(this.getModelKey(), this.getModelColor());
	}
	
}
