package foh.rpg.item;


/**
 * @author Zweistein
 */
public class Blessing {

	private BlessingType blessedStatus = BlessingType.NORMAL;
	
	/**
	 * @param blessedStatus
	 */
	public Blessing(BlessingType blessedStatus) {
		this.blessedStatus = blessedStatus; 
	}

	public String toString() {
        return this.blessedStatus.toString();
	}
	
	public void bless() {
		if ( this.blessedStatus == BlessingType.NORMAL) {
			this.blessedStatus = BlessingType.BLESSED;
		} else if ( this.blessedStatus == BlessingType.CURSED) {
			this.blessedStatus = BlessingType.NORMAL;
		}
	}
	
	public void divinate() {
		this.blessedStatus = BlessingType.HOLY;
	}

	public void curse() {
		if (this.blessedStatus == BlessingType.NORMAL){
			this.blessedStatus = BlessingType.CURSED;
		}
		if (this.blessedStatus == BlessingType.BLESSED){
			this.blessedStatus = BlessingType.NORMAL;
		}
	}
	
	public void doom() {
		this.blessedStatus = BlessingType.DOOMED;
	}
	
	/**
	 * @return Returns the blessedStatus.
	 */
	public BlessingType getBlessedStatus() {
		return this.blessedStatus;
	}
	
	/**
	 * @param blessedStatus The blessedStatus to set.
	 */
	public void setBlessedStatus(BlessingType blessedStatus) {
		this.blessedStatus = blessedStatus;
	}
}
